org.eclipse.rdf4j.query.parser.sparql.ast

## Class SyntaxTreeBuilderTokenManager

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderTokenManager

- All Implemented Interfaces:
    SyntaxTreeBuilderConstants

      public class SyntaxTreeBuilderTokenManager
      extends Object
      implements SyntaxTreeBuilderConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected CharStream` | `input_stream`
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderConstants

      `ABS, ADD, ALL, ALPHA, AND, ANON, AS, ASC, ASK, AVG, BASE, BIND, BINDINGS, BLANK_NODE_LABEL, BNODE, BOUND, BY, CEIL, CLEAR, COALESCE, COMMA, CONCAT, CONSTRUCT, CONTAINS, COPY, COUNT, CREATE, DATA, DATATYPE, DAY, DECIMAL, DECIMAL_NEGATIVE, DECIMAL_POSITIVE, DEFAULT, DEFAULT_GRAPH, DELETE, DESC, DESCRIBE, DISTINCT, DOT, DOUBLE, DOUBLE_NEGATIVE, DOUBLE_POSITIVE, DOUBLE1, DOUBLE2, DOUBLE3, DROP, DT_PREFIX, ECHAR, ENCODE_FOR_URI, EOF, EQ, EXISTS, EXPONENT, FALSE, FILTER, FLOOR, FROM, GE, GRAPH, GROUP, GROUP_CONCAT, GT, HAVING, HEX, HOURS, IF, IN, INSERT, INTEGER, INTEGER_NEGATIVE, INTEGER_POSITIVE, INTO, INVERSE, IRI, IS_A, IS_BLANK, IS_IRI, IS_LITERAL, IS_NUMERIC, LANG, LANGMATCHES, LANGTAG, LBRACE, LBRACK, LCASE, LE, LIMIT, LOAD, LPAREN, LT, MAX, MD5, MIN, MINUS, MINUS_SETOPER, MINUTES, MONTH, MOVE, NAMED, NE, NIL, NOT, NOT_EXISTS, NOT_IN, NOW, NUM, OFFSET, OPTIONAL, OR, ORDER, PERCENT, PIPE, PLUS, PLX, PN_CHARS, PN_CHARS_BASE, PN_CHARS_U, PN_LOCAL, PN_LOCAL_ESC, PN_PREFIX, PNAME_LN, PNAME_NS, PREFIX, Q_IRI_REF, QUESTION, RAND, RBRACE, RBRACK, REDUCED, REGEX, REPLACE, ROUND, RPAREN, SAFE_CHAR_LONG1, SAFE_CHAR_LONG2, SAFE_CHAR1, SAFE_CHAR2, SAMETERM, SAMPLE, SECONDS, SELECT, SEMICOLON, SEPARATOR, SERVICE, SHA1, SHA224, SHA256, SHA384, SHA512, SILENT, SINGLE_LINE_COMMENT, SLASH, STAR, STR, STR_AFTER, STR_BEFORE, STR_ENDS, STR_STARTS, STRDT, STRING_LITERAL_LONG1, STRING_LITERAL_LONG2, STRING_LITERAL1, STRING_LITERAL2, STRLANG, STRLEN, STRUUID, SUBSTR, SUM, TIMEZONE, TO, tokenImage, TRUE, TZ, UCASE, UNDEF, UNION, USING, UUID, VALUES, VAR_CHAR, VAR1, VAR2, VARNAME, WHERE, WHITESPACE, WITH, WS_CHAR, YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxTreeBuilderTokenManager(CharStream stream)` Constructor.
    `SyntaxTreeBuilderTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### SyntaxTreeBuilderTokenManager

          public SyntaxTreeBuilderTokenManager(CharStream stream)

      Constructor.

    - #### SyntaxTreeBuilderTokenManager

          public SyntaxTreeBuilderTokenManager(CharStream stream,
                                               int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.